clang 8.0.0

Functions
Hurd.cpp File Reference
`#include "Hurd.h"`
`#include "CommonArgs.h"`
`#include "clang/Config/config.h"`
`#include "clang/Driver/Driver.h"`
`#include "clang/Driver/Options.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/VirtualFileSystem.h"`
Include dependency graph for Hurd.cpp:

Go to the source code of this file.

## Functions
static std::string | getMultiarchTriple (const Driver &D, const llvm::Triple &TargetTriple, StringRef SysRoot)
| Get our best guess at the multiarch triple for a target. More...
static StringRef | getOSLibDir (const llvm::Triple &Triple, const ArgList &Args)

## Function Documentation

## ◆ getMultiarchTriple()

static std::string getMultiarchTriple | ( | const Driver & | D,
|  | const llvm::Triple & | TargetTriple,
|  | StringRef | SysRoot
| ) |  |
| static

Get our best guess at the multiarch triple for a target.

Debian-based systems are starting to use a multiarch setup where they use a target-triple directory in the library and header search paths. Unfortunately, this triple does not align with the vanilla target triple, so we provide a rough mapping here.

Definition at line 31 of file Hurd.cpp.

References clang::driver::Driver::getVFS().

## ◆ getOSLibDir()

static StringRef getOSLibDir | ( | const llvm::Triple & | Triple,
|  | const ArgList & | Args
| ) |  |
| static

Definition at line 48 of file Hurd.cpp.